/*
 *
 *  Copyright (C) 1999, Institute for MicroTherapy
 *
 *  This software and supporting documentation were developed by
 *
 *    University of Witten/Herdecke
 *    Department of Radiology and MicroTherapy
 *    Institute for MicroTherapy
 *    Medical computer science
 *    
 *    Universitaetsstrasse 142
 *    44799 Bochum, Germany
 *    
 *    http://www.microtherapy.de/go/cs
 *    mailto:computer.science@microtherapy.de
 *
 *  THIS SOFTWARE IS MADE AVAILABLE,  AS IS,  AND THE INSTITUTE MAKES  NO 
 *  WARRANTY REGARDING THE SOFTWARE, ITS PERFORMANCE, ITS MERCHANTABILITY
 *  OR FITNESS FOR ANY PARTICULAR USE, FREEDOM FROM ANY COMPUTER DISEASES 
 *  OR ITS CONFORMITY TO ANY SPECIFICATION. THE ENTIRE RISK AS TO QUALITY 
 *  AND PERFORMANCE OF THE SOFTWARE IS WITH THE USER.
 *
*/


// Common Header-File

#include "errno.h"
#include "osconfig.h"
#include "dviface.h"	// DVInterface, DVPresentationState
#include "dcmimage.h"	
#include "dvpstx.h"		// DVPSTextObject
#include "dvpsgr.h"		// DVPSGraphicObject
#include "dvpscu.h"		// DVPSCurve
#include <stdio.h>


/*******************************************************************
*
* Author      : Andreas Schroeter
* Last Update : 1999/04/28
* 
* State       : complete/release
* 
* Java-native-interface functions for accessing C++-classes in Java.
*
*******************************************************************/

